<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Setting Approval</title>
</head>
<body>
<div class="main-content" layout:fragment="main">
    <section class="section">
        <div class="section-header">
            <h1>Setting Approval</h1>
        </div>
        <div class="section-body">
            <div class="row">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header">
                            <h4>Data</h4>
                        </div>
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-12 text-right">
                                    <form method="get">
                                        <div class="form-group">
                                            <div class="input-group">
                                                <input type="text" class="form-control" name="search" th:value="${search}" placeholder="Search ...">
                                                <div class="input-group-append">
                                                    <button class="btn btn-sm btn-primary" type="submit">Search</button>
                                                </div>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                            <br>
                            <br>
                            <div class="alert alert-fill-success" role="alert" th:if="${success != null}">
                                <i class="mdi mdi-alert-circle"></i> Save data successful... </div>
                            <div class="alert alert-fill-danger" role="alert" th:if="${delete != null}">
                                <i class="mdi mdi-alert-circle"></i> Delete data successful... </div>
                            <div class="alert alert-fill-danger" role="alert" th:if="${gagal != null}">
                                <i class="mdi mdi-alert-circle"></i> Data tidak bisa dihapus, karena ada data departemen yang terkait dengan instansi tersebut. </div>
                            <div class="table-responsive">
                                <table class="table table-striped">
                                    <thead>
                                    <tr>
                                        <th> # </th>
                                        <th> Code </th>
                                        <th> Name </th>
                                        <th> Dept </th>
                                        <th> Approval </th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr th:each="data, row:${position}">
                                        <td th:text="${(row.index + 1)}"></td>
                                        <td><span th:text="${data.kodeJabatan}"></span> <a th:href="@{/settingApproval/new(id = ${data.id})}" class="btn btn-info btn-sm"><i class="fa fa-plus-circle"></i></a></td>
                                        <td th:text="${data.namaJabatan}"></td>
                                        <td th:text="${data.departemen.namaDepartemen}"></td>
                                        <td>
                                            <table class="table-bordered">
                                                <tr th:each="dataSetting, row:${approval}">
                                                    <td th:if="${data.id == dataSetting.approval}" th:text="${dataSetting.urutan}"></td>
                                                    <td th:if="${data.id == dataSetting.approval}" th:text="${dataSetting.idJabatan.namaJabatan}"></td>
                                                    <td th:if="${data.id == dataSetting.approval}">
                                                        <form th:action="@{/settingApproval/delete(settingApproval = ${dataSetting.id})}" method="post">
                                                            <button class="btn btn-sm btn-danger"><i class="fa fa-trash"></i></button>
                                                        </form>
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>

                            <div class="d-flex align-items-center justify-content-between text-muted border-top py-3 mt-3">
                                <nav>
                                    <ul class="pagination d-flex justify-content-center pagination-success" sd:pagination="full">
                                        <li class="page-item"><a class="page-link" href="#"><i class="mdi mdi-chevron-left"></i></a></li>
                                        <li class="page-item active"><a class="page-link" href="#">1</a></li>
                                        <li class="page-item"><a class="page-link" href="#">2</a></li>
                                        <li class="page-item"><a class="page-link" href="#">3</a></li>
                                        <li class="page-item"><a class="page-link" href="#">4</a></li>
                                        <li class="page-item"><a class="page-link" href="#"><i class="mdi mdi-chevron-right"></i></a></li>
                                    </ul>
                                </nav>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>
</body>
</html>